---
id: report-list-published
title: "List published reports"
description: "Returns every report currently published and visible to you. Omits the heavy `schema`, `ui_schema`, and `queries` fields."
sidebar_label: "List published reports"
hide_title: true
hide_table_of_contents: true
api: eJztV01z2zYQ/Ss7uPRC2bJrJ456StO0cSZNWttpMvV4ohWxFBGTAAMspDAa/ffOgtSX5TTpoe0lPsgSBex7eHi72l0oxmlQo2t1QY3zDDPywTgb1E2mNIXcm4aNs2qkLoijtwFoRr4F3y3Po/dkuWqhiZPKhJI0oNUwM8FMKgJ20Lp4AK9qwwG4JCgJZy2MQ15SjeMMxtG8W3+QreMPkbyhMIbCUKXDgcqUa8ij8DjXaqQ67FFlAg/WsCpTgfLoDbdqdL1QE0JP/nHkUo2ub5Y3mfIUGmcDBTVaqOPhUP7tHvGqJJCo4Iqt83RwiUfuLJNl2YlNU5k8kTp8H2T7QnXnkHfcNqRGCr3HVmXKMNUJlg1XlMSUmC9M4HOmWmWrDW7ynnJWd7V/DJWZljwneV1pT5Z9u5L2awSVEzRetGTTqWD0FtnA3tipylThfI2sRipGo/e4iEjRmg+RVkSMJsumMOQFgT5i3aRDFsXpo4fDSTE4fXSsByd4pgeTs9OzwfdHD08pPzk5OX1wrJaZsljTfTz2cTvA7wJoE5oKW5Ctu6A/UVO5tibLUHj6EMnmrYCEKk6/DPIYXl+8GBTekNVVu3UyKJxP/u0o7GLqNeZgB3Mn9pehy1ijHXhCjZI7W1+LIecl8hYDCKWbh10ez9wcXMFkgTAvYcui0FEMwirlpqlSomwc+cfmabbHlGyspUjEQF7S0U/Rmk8p8n6heFM6yNFCINpWDMayewy3RE0Aw9B4M0NONUIc7OaW/A8w3g4+hlCip7R8brhM8ealqwi2l+2qkEguM5V7Qib9DvlvTa6RacCmpnsdd375Cs4eDI9AVgTGuunuguz2XcwxQA+3y+V4ePxgMHw4OB5eHR2PhsPRcPincIuN/re48XaeVBgYOrCvIdb9Zerk7dv96vikMpJV5L3zsC6moGN3hXaGldFgbBMZnIfahGDsFBr0WBOT/4cVtPflU4G7p0BKnhlPWmwZGDmGJ06LTtRvqCkEnJL4c7foba3eaG8s0zSZe/fQz66ufoNuB+ROExirE2k7TUontB1pT4ZDMd9u+M/mfI15aSxtsr6TN0GxZHyOTFPnzSfqfj8LNFX0d25zgvpdKjyBxV2dBF+BHkrnObtbeDoKsncX5UfUcLFBWQn8ZRytjbzFCjQxmioATlzkzwjYV/qEkzKrxkoygjQkZSyjsaTXjts22MrAp/cZ+NwyeWERyM/I9+fs/YsWoqWPDeUssUOI9M2v3/z6n/g1kePSSXM7JXFLg9K3qsOukB/udrli3pCa3OgrNVIlcxNGh4fYmAMbq6qpkIXAQe5qJZ3vqjG+FLd2ptpuj9d6SCBBSMvkmtIilfVvfl79LD1/c6WEtLGF2+9qg8pUP0aokRoeHB0M9yT+FS1OCXRrsTb5qsUeQaCqGGwk65/DJJpK+jlXA8Lzy1cvIR0FpSurM0B4fd4/6Vrey99fDCaY35KGvvk9gJ4clDgjQNAeC+4s27oIpA2nraauIydbbSaA1VDULQ/RF5hLZsG5DdKRy0VmqnGBa0xloetolfT3+4PEXTEWmyLzvw5ZvQmYPvJhU6GxqVERhy16P173o5cYdO3Im0yVLrB8u1hMMNBrXy2X8lgwZBi7ydQMvRFR0yyWqZJQk08WvqVWUi7PqZG4M6ximpzuFlvx8TpJfnl6pTKFu+6949YUfTWH2XYr9mLRrbhyt2SXS5X1JFg+q+XNcrn8C0t+QlA=
sidebar_class_name: "get api-method"
info_path: docs/api/reports
custom_edit_url: null
---

import MethodEndpoint from "@theme/ApiExplorer/MethodEndpoint";
import ParamsDetails from "@theme/ParamsDetails";
import RequestSchema from "@theme/RequestSchema";
import StatusCodes from "@theme/StatusCodes";
import OperationTabs from "@theme/OperationTabs";
import TabItem from "@theme/TabItem";
import Heading from "@theme/Heading";

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"List published reports"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/report/published"}
  context={"endpoint"}
>
  
</MethodEndpoint>



Returns every report currently published and visible to you. Omits the heavy `schema`, `ui_schema`, and `queries` fields.

<ParamsDetails
  parameters={undefined}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"description":"The list of published reports.","content":{"application/json":{"schema":{"type":"array","items":{"title":"ReportListItem","type":"object","description":"A lightweight report entry. Omits `schema`, `ui_schema`, and `queries`.","properties":{"id":{"type":"string","format":"uuid","description":"The unique report identifier.","example":"ff5970bf-592d-4a8d-b858-3175ec444562"},"name":{"type":"string","description":"The report's display name.","example":"Deployment frequency"},"slug":{"type":"string","description":"A URL-friendly identifier for the report.","example":"deployment-frequency"},"description":{"type":"string","description":"A human-readable description of what the report shows.","example":"How often each application deploys"},"visibility":{"title":"Visibility","type":"string","enum":["user","organization"],"description":"Who can see the report. `user` keeps it private to its owner; `organization` shares it with the whole organization.","example":"user"},"created_at":{"type":"string","format":"date-time","description":"The ISO 8601 timestamp of when the report was created.","example":"2026-07-20T12:00:00Z"},"updated_at":{"type":"string","format":"date-time","description":"The ISO 8601 timestamp of the report's last update.","example":"2026-07-20T12:00:00Z"}}}}}}},"4XX":{"description":"Client error responses due to invalid input or missing parameters.","content":{"application/json":{"schema":{"title":"Error","type":"object","required":["statusCode","error","message"],"properties":{"statusCode":{"type":"integer","description":"HTTP status code indicating the error.","example":400},"code":{"type":"string","description":"A machine-readable error code that categorizes the failure.","example":"bad_request"},"error":{"type":"string","description":"A short, human-readable error type.","example":"Bad Request"},"message":{"type":"string","description":"Additional details about the error.","example":"The request was malformed or contained invalid parameters."}}}}}},"5XX":{"description":"Internal server error due to an unexpected issue.","content":{"application/json":{"schema":{"title":"Error","type":"object","required":["statusCode","error","message"],"properties":{"statusCode":{"type":"integer","description":"HTTP status code indicating the error.","example":400},"code":{"type":"string","description":"A machine-readable error code that categorizes the failure.","example":"bad_request"},"error":{"type":"string","description":"A short, human-readable error type.","example":"Bad Request"},"message":{"type":"string","description":"Additional details about the error.","example":"The request was malformed or contained invalid parameters."}}}}}}}}
>
  
</StatusCodes>


      